Next Previous Contents

## 3.99 memset

> Function

>   Fill a memory area.

> Header

>   `string.h`

> Declaration

>   `void* __fastcall__ memset (void* p, int val, size_t count);`

> Description

>   `memset` fills the memory area pointed to by `p` with the value `val`. The function returns `p`.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   _swap, bzero, memcpy, memmove

> Example

>   None.

Next Previous Contents